netplan.io (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.2.2.
  * d/patches: Drop patches applied upstream:
    - d/p/0002-generate-sriov-execute-udev-rules-before-starting-sr.patch
    - d/p/lp-2138802-BlockingIOError-py314.patch
    - d/p/lp2071747-unresolvable-network-cycle.patch
    - d/p/lp2145061-wpa-supplicant-requires-netplan-configure.patch
    - d/p/tests-only-consider-netplan-generated-files.patch
  * d/t/control: Remove deprecated 'skip-not-installable' restriction.
    Skip ovs test on the same architectures where the openvswitch-switch
    build-dependency is skipped.
  * d/t/control: Fix wifi regdom test.
    Add wireless-regdb to the wifi test dependencies and run "iw reg reload"
    before the test, so that cfg80211 can use the installed regulatory
    database.

 -- Guilherme Puida Moreira <puida@debian.org>  Wed, 12 Aug 2026 18:42:23 -0300

netplan.io (1.2.1-1) unstable; urgency=medium

  [ Lukas Märdian ]
  * New upstream release: 1.2.1
    - Fix generate.py to properly handle --root-dir (LP: #2137640)
    - Use io.StringIO() instead of tempfile.TemporaryFile()
  * Avoid race condition in SR-IOV setup (LP: #2139598)
    - d/p/0002-generate-sriov-execute-udev-rules-before-starting-sr.patch
  * d/gbp.conf: Update to debian/latest (DEP-14)
  * d/p/0002-*: Drop root-dir patch (applied in 1.2.1)

  [ Andreas Hasenack ]
  * d/p/lp-2138802-BlockingIOError-py314.patch: fix "netplan try" with
    python 3.14 by handling BlockingIOError in addition to TypeError
    (LP: #2138802)

  [ Guilherme Puida Moreira ]
  * d/p/lp2071747-unresolvable-network-cycle.patch.
    Order service after systemd-sysusers.service to fix network cycle
    (LP: #2071747)
  * d/p/lp2145061-wpa-supplicant-requires-netplan-configure.patch (LP: #2145061)
  * d/p/tests-only-consider-netplan-generated-files.patch
  * d/p/lp2147446-state-label-DHCPv4-using-networkd-ConfigSource.patch
    (LP: #2147446)

 -- Lukas Märdian <slyon@debian.org>  Wed, 13 May 2026 21:43:12 +0200

netplan.io (1.2-1) experimental; urgency=medium

  * New upstream release: 1.2
    - Split in `/usr/libexec/netplan/generate` and `netplan-configure.service`
      stages, to achieve systemd-generator compatibility.
    - Allows non standard OVS setups, e.g. for consuming Open vSwitch from snap.
    - Utilize systemd-networkd-wait-online for waiting on DNS servers,
      as implemented in systemd v258.
    - meson: Build using Python 3.10 limited API (LP: #2050881)
    - Fail cleanly when systemd-networkd is not installed
    - Ensure netplan directory creation is idempotent
    - Use OVS from apt before snap when both exist. (LP: #2127195)
    - tests: add integration test for wifi/psk-sha256
    - tests:wifi: Replace deprecated ISC dhclient & fail properly
    - test:dbus: avoid dependency on dbus-launch (Closes: #1117099)
    Bug fixes:
    - Fix `netplan try` revert (LP: #2083029)
    - cli:apply: Ignore udevadm errors triggering devices (LP: #2095203)
    - Fix function prototypes for *_new() functions of parser and state
    - Only create a tempdir when needed
  * d/control: Update for systemd >= 258 for DNS support in wait-online
  * d/netplan-generator*: recognize configure binary + service
  * d/t/control: install systemd-resolved for cloud-init & autostart tests
  * d/libnetplan1.symbols: Update symbols file for v1.2
  * d/patches/: Drop patches, applied upstream
  * d/p/0001-tests-ethernets-enable-wait-online-intergration-test.patch:
    Enable integration tests for systemd-networkd-wait-online.
  * d/t/control: add sd-resolved for wait_online tests
  * Fix generate.py to properly handle --root-dir (LP: #2137640)
    - d/p/0002-cli-Fix-generate.py-to-properly-handle-root-dir.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 12 Jan 2026 16:17:44 +0100

netplan.io (1.1.2-8) unstable; urgency=medium

  * d/t/cloud-init.sh: Adopt for actually generated files instead of dummies
  * d/control: Avoid test-dependency on dbus-x11 (Closes: #1117099)
    - d/p/0009-test-dbus-avoid-dependency-on-dbus-launch-Closes-111.patch

 -- Lukas Märdian <slyon@debian.org>  Wed, 08 Oct 2025 12:48:31 +0200

netplan.io (1.1.2-7) unstable; urgency=medium

  [ Wesley Hershberger ]
  * d/p/lp2083029-fix-try.patch: Fix "netplan try" revert (LP: #2083029)

  [ Lukas Märdian ]
  * d/p/lp2083029-fix-try.patch: Improve DEP-3 headers & move to end of series.

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Apr 2025 13:32:34 +0200

netplan.io (1.1.2-6) unstable; urgency=medium

  * Declare compliance with Standards-Version 4.7.2 (no changes needed).
  * d/patches/0005-*: Fix DEP-3 patch headers.
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 14 Apr 2025 12:31:03 +0200

netplan.io (1.1.2-5) unstable; urgency=medium

  * d/control: Suggest systemd-resolved for enhanced 'netplan status'
  * d/t/control: Add dpkg-dev test-dep for 'dpkg-vendor' checks.
  * d/t/control,prep-testbed: Avoid systemd-resolved test-dependency.
  * Avoid failure in ethernets.py test without systemd-resolved
    - d/p/0005-tests-ethernets-Avoid-test-failure-when-systemd-reso.patch
  * Avoid flaky test failures on riscv64.
    - d/p/0006-tests-regressions-Give-more-time-for-slow-architectu.patch
  * Avoid race condition with veth MAC addresses. (Closes: #1100907)
    - d/p/0007-tests-integration-Avoid-race-condition-with-veth-MAC.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 10 Apr 2025 11:26:06 +0200

netplan.io (1.1.2-4) unstable; urgency=medium

  * Revert: Do not execute generator during daemon-reload (Closes: #1100418)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Thu, 13 Mar 2025 21:26:44 +0100

netplan.io (1.1.2-3) unstable; urgency=medium

  * d/tests: Fix 00test.yaml permissions warnings.
  * d/p/python-limited-stable-api.patch: Gbp refresh.
  * Do not re-execute generator during daemon-reload (LP: 2090848)
    - d/p/lp2090848-0005-generator-Do-not-re-execute-during-daemon-reload.patch

 -- Lukas Märdian <slyon@debian.org>  Mon, 03 Mar 2025 11:14:28 +0100

netplan.io (1.1.2-2) unstable; urgency=medium

  * d/t/control: Avoid flaky 'wifi' DEP8 test, instead SKIP if
    conditions are not met
  * d/t/control: Add test dependency on dhcpcd-base, replacing ISC dhclient
  * d/patches: improve WiFi testing
    + 0002-tests-wifi-use-dhcpcd-istead-of-deprecated-ISC-dhcli.patch
    + 0003-tests-add-integration-test-for-wifi-psk-sha256.patch
  * d/p/lp2095203: Don't crash on udevadm trigger errors in 'netplan apply'
    (LP: #2095203)

 -- Lukas Märdian <slyon@debian.org>  Wed, 05 Feb 2025 16:51:55 +0100

netplan.io (1.1.2-1) unstable; urgency=medium

  * New upstream release: 1.1.2
    - wifi: add support for wpa-psk-sha256 !531 (LP: #2085320, LP: #2084237)
    - networkmanager: add support for "routing-policy" !526 (LP: #2086544)
    - parse: fix renderer validation for nm-devices !532 (LP: #2091755)
  * d/*.manpages: Use dh_installman and add netplan(8) manpage
  * d/netplan-generator.doc-base: Register YAML reference with doc-base
  * d/copyright: Update for 2025

  [ Alexandre Detiste ]
  * d/control: remove alternative dependency on deprecated pep8
  * d/{rules,control}: use dh-sequence-python3

 -- Lukas Märdian <slyon@debian.org>  Thu, 23 Jan 2025 16:23:09 +0100

netplan.io (1.1.1-1) unstable; urgency=medium

  * New upstream release: 1.1.1
    - NM: add support for stable-ssid MAC option !524 (LP: #2084234)
    - wpa_supplicant: add ExecReload to the service unit !523
    - Create snippet files for single-sourcing repetitive instructions !505
    - doc: Add initial 'Cryptography' section !517
    - Several code cleanup & fixes for TiCS !507
    - tests: ethernets: Add ipv6-address-generation integration tests !509
    - cli: drop python-netifaces !503 (LP: #2065870, LP: #2017585)
    - parse-nm: account for veth and dummy when checking for virtual types !513
    - Avoid dependency on dbus-python !511
    - tests: Improve vrf/wireguard modprobe check inside containers !510
    - tests:ethernets: avoid flaky test_ip6_eui64 results !514
    - ovs: quote external-ids and other-config values !512 (LP: #2070318)
    - Handle implicit conversions !496
    - Use more permissive umask for .service units !516 (LP: #2072486)
    - Revert "apply: make sure that networkd is restarted when needed" !518
      (LP: #2078009)
    - Handling encoding issues on netplan status !521 (LP: #2079975)
    - include: fix apidoc warnings about undocumented parameters
  * d/patches: Drop patches, applied upstream
  * d/control: Drop python3-{dbus,netifaces} dependencies, not needed anymore
  * d/{rules,control}: Utilize dh-python

 -- Lukas Märdian <slyon@debian.org>  Wed, 16 Oct 2024 09:46:10 +0200

netplan.io (1.1-2) unstable; urgency=medium

  * d/changelog: fix typo
  * d/control: change Maintainer to Networking team
  * d/control: Add ethtool dependency in anticipation of upstream change
  * d/rules: Improve 'filter nocheck' test, to avoid double 'nocheck' confusion
  * d/t/control: Add breaks-testbed for more robust CI (Closes: #1083109)
  * d/patches/0002: Disable NETPLAN_PARSER_IGNORE_ERRORS in tests
    to increase CI efficiency.
  * d/control: Mark udev as a runtime dependency

 -- Lukas Märdian <slyon@debian.org>  Wed, 09 Oct 2024 10:39:58 +0200

netplan.io (1.1-1) unstable; urgency=medium

  * New upstream release: 1.1
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - tools/keyfile_to_yaml: display the generated YAML
    - tests: import the config fuzzing tests
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - Custom systemd-networkd-wait-online override to wait on interfaces.
      (Closes: #1008995) (LP: #2060311)
    - Ignore bad NetDefs and files via parser flags
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - migrate: support aliases
    - networkd: add ipv6 ra overrides (LP: #1973222)
    - netplan status --diff fixes and improvements
    - apply: make sure that networkd is restarted when needed
    - Don't escape certain non-ascii characters
    - networkd: make s-n-wait-online wait for at least one routable interface
    - networkd: Implement ipv6-address-generation: stable-privacy
    - Implementing advmss ip route option
    - meson: Add 'testing' option
    - Add a scheduled workflow to run TICS
    - ci: migrate to Ubuntu 24.04
    - Prepare Netplan v1.1
    Documentation:
    - Fix wrong syntax in example
    - Tutorial improvements
    - added guide for contributing to the netplan documentation
    - Add initial SECURITY.md policy
    - Create single-nic-vm-host.md
    - Create single-nic-vm-host-with-vlans.md
    - Create multi-nic-vm-host-with-bonds-and-vlans.md
    - bullet point removal
    - Add netplan try to netplan tutorial
    - Update the docs checks runner to ubuntu-latest
    - Add spelling exceptions
    Bug fixes:
    - Fix logging setup when python-rich is not present
    - parse-nm: add a workaround for the DoT DNS option (LP: #2055148)
    - parse: don't remove datalist items during iteration
    - parse: fix redefinition of gateway(4|6)
    - python: elements of all must be strings
    - CI: Fix DebCI check, using newer 'meson' from unstable
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - CI: fork spread to get snapcore/spread#179 fixes
    - ctests: fix a memory leak in a unit test
    - nm/nd: fix a couple of crashes
    - test:integration: Try to improve test flakyness (Closes: #1069871)
    - Security fixes (CVE-2022-4968)
    - emitter: allow unicode characters in the emitter (LP: #2071652)
    - CLI:apply: call udevadm trigger, using --action=move
      (Closes: #1071220) (LP: #2066344, LP: #2071363)
    - CI: fix CodeQL permissions
    - ci: run meson tests with unbuffer
    - ci/tics: install "expect" as a dependency
    - generate: avoid calling 'udevadm control --reload' (LP: #1999178)
    - netplan ignores NetworkManager ipv4.route-metric (LP: #2076172)
    - Change default umask when creating directories (LP: #2076319)
  * d/patches/: Drop patches, applied upstream
  * d/control: Add udev as a test dependency
  * d/control: Fix typo in package description
  * d/libnetplan1.symbols: Update symbols file for v1.1

 -- Lukas Märdian <slyon@debian.org>  Wed, 14 Aug 2024 13:24:13 +0200

netplan.io (1.0.1-3) unstable; urgency=medium

  * d/control: Mark libcmocka-dev as a test-dependency
  * d/p/fix-manpage-title.patch: Add 'Forwarded' patch header
  * d/netplan-generator.lintian-overrides: Mute false positive systemd-diversion

 -- Lukas Märdian <slyon@debian.org>  Thu, 01 Aug 2024 15:13:24 +0900

netplan.io (1.0.1-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * d/p/fix-manpage-title.patch: Fix a typo in docs

  [ Lukas Märdian ]
  * d/t/control: Add python3-packaging test dependency for 'routing.py'
  * d/rules,d/p/testing.diff: Handle 'nocheck' option (Closes: #1071599)
  * d/control: Clarify package description (Closes: #1076445)

 -- Lukas Märdian <slyon@debian.org>  Mon, 29 Jul 2024 15:35:25 +0900

netplan.io (1.0.1-1) unstable; urgency=medium

  * New upstream release: 1.0.1:
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - cli/sriov: refactoring
    - tests: use proper 0o600 file permissions in more places
    - doc:  Adding missing 'watchfiles' dependency for Sphinx
    - doc: Minor fixes in lang. and mark-up in YAML reference
    - doc: Tutorial reorg & lang. + formatting improvements
    - networkd: add wait-online enumeration utils
    - generate: enable systemd-networkd-wait-online for non-optional interfaces
    - CLI:utils: Do not ask for daemon-reload password interactively
    - CLI:generate: call daemon-reload after (re-)generating services
    - wait-online: Do not block on loopback interface
    - generate: Do not touch wait-online, if we don't have any networkd NetDefs
    - wait-online: wait for existing interfaces only and downgrade operational
      state for interfaces without IP configuration
    - wait-online: account for DHCPv4/v6 addresses
    - wait-online: do not require virtual devices to be created already
    - wait-online: recognize that bridge/bond members will never gain
      link-local addresses
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - wait-online: disabled wait-online for stable 1.0
    - test:integration: Try to improve test flakyness
    - autopkgtest: More fixes for flaky 'ethernets' test
    -  Increase some test timeouts to account for slow (riscv64) buildds
    SECURITY UPDATE:
    - libnetplan: use more restrictive file permissions
      (Closes: #1072789, LP: #2065738, LP: #1987842)
    - CVE-2022-4968
    - libnetplan: escape control characters
    - backends: escape file paths
    - backends: escape semicolons in service units (LP: #2066258)
    Bug fixes:
    - cli: Fix logging setup when python-rich is not present
    - CI: fix DebCI case for no-change rebuilds
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - doc: Update README, move CODE_OF_CONDUCT
    - doc: fix en_GB spelling
    - CI: adopt snapd.patch for autopkgtest SRU (LP: #2051939)
    - parse-nm: add a workaround for the DoT DNS option  (LP: #2055148)
    - CI: Install netplan-ci PPA
    - parse: don't remove datalist items during iteration
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - parse/bonds: don't fail on primary reassignment
    - cli/sriov: set eswitch regardless of pcidev.vfs
    - doc: Fix wrong bonds.parameters.mode syntax in example
    - parse: fix redefinition of gateway(4|6)
    - doc:tutorial: fix whitespace formatting
    - util: fix potential NULL pointer assert
    - python: elements of __all__ must be strings
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - test: cleanup after wait_online test to fix DebCI
    - CI: fork spread to get !179 fixes
    - doc: Fix netplan-generate.md formatting !483
    - emitter: allow unicode characters in the emitter (LP: #2071652)
    - parse: do not escape all non-ascii bytes
  * d/t/control: 'diff' autopkgtest is not flaky anymore
  * d/patches: Drop patches, applied upstream
  * d/p/0003: Update 'udevadm trigger' patch, using MOVE action (LP: #2071363)
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator, so the file permissions fixes will be applied automatically.
  * d/libnetplan1.symbols: Update for new internal wait-online symbol
  * d/copyright: Update for 2024

 -- Lukas Märdian <slyon@debian.org>  Thu, 04 Jul 2024 15:22:20 +0200

netplan.io (1.0-6) unstable; urgency=medium

  * More fixes for flaky 'ethernets' autopkgtest (Closes: #1069871)

 -- Lukas Märdian <slyon@debian.org>  Wed, 26 Jun 2024 10:01:15 +0200

netplan.io (1.0-5) unstable; urgency=medium

  * d/p/0004: Improve 'ethernets' autopkgtest flakyness (Closes: #1069871)
  * Declare compatibility with Standards-Version 4.7.0

 -- Lukas Märdian <slyon@debian.org>  Tue, 25 Jun 2024 10:52:26 +0200

netplan.io (1.0-4) unstable; urgency=medium

  * d/p/0002: Add 'Forwarded:' patch header
  * d/p/0004: Try to improve autopkgtest flakyness (C:1069871)

 -- Lukas Märdian <slyon@debian.org>  Thu, 20 Jun 2024 17:53:43 +0200

netplan.io (1.0-3) unstable; urgency=medium

  * Revert "autopkgtest: skip link offloading test" workaround
  * Fix offloading options in 'netplan apply' with udev v256 (Closes: #1071220)
    d/p/0003-CLI-apply-call-udevadm-trigger-using-action-add-Clos.patch
    (LP: #2066344)

 -- Lukas Märdian <slyon@debian.org>  Thu, 06 Jun 2024 20:33:54 +0200

netplan.io (1.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * autopkgtest: skip link offloading test (Closes: #1071220)

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 01:36:02 +0100

netplan.io (1.0-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * Versioned dep on meson >= 1.3.0 for python.limited_api (Closes: #1066889)
  * d/control: downgrade python3-rich to Recommends.

  [ Danilo Egea Gondolfo ]
  * debian/netplan.io.preinst.
    Add a preinst maintainer script for netplan.io to cleanup .pyc cached
    files. Due to these files, the directory /usr/share/netplan/netplan is
    not being removed after the python3-netplan package split. By removing
    these files (and __pycache__ directories), dpkg can remove the old
    directory during upgrade.
  * d/p/0002-parse-nm-add-a-workaround-for-the-DoT-DNS-option.patch.
    Workaround to prevent parse-nm to generate invalid DNS entries in the
    resulting YAML if SNI is used. (LP: #2055148)

 -- Lukas Märdian <slyon@debian.org>  Thu, 28 Mar 2024 12:47:41 +0100

netplan.io (1.0-1) unstable; urgency=medium

  * New upstream release 1.0:
    - state/status: add support for identifying bridge/bond/vrf members !420
    - Netplan status --diff !440
    - Netplan state diff !386
    - allow COMMON_LINK_HANDLERS for VRFs (LP: #2031421, Closes: #1049432) !401
    - netplan: add support for WPA3-Enterprise (LP: #2029876) !402
    - wifi: support WPA2 and WPA3 Personal simultaneously !404
    - auth: add support for LEAP and EAP-PWD (LP: #2038811) !415
    - wifi: allow having a psk and an eap password simultaneously !416
    - Migrate CriticalConnection to KeepConfiguration (LP: #1896799) !424
    - apply: bring "lo" back up if it's managed by NM (LP: # 2034595) !408
    - Post 0.107 cleanup & dropping API/ABI compat !400
    - ABI: Refactoring for libnetplan.so.1 !434
    - Add additional bridge port settings !410
    - SR-IOV improvements (VF-LAG support) !439
    Documentation:
    - Add spelling checking to the CI !417
    - doc: libnetplan API reference, using Doxygen and Sphinx.breathe !423
    - doc: Update 'Netplan everywhere' for 23.10 !418
    - added mii-monitor-interval !411
    - Adopt Docs Starter Pack !429
    - Fix howto docs !430
    - docs: add a topic about security !433
    - Document and restructure libnetplan's public API symbols !438
    - Lang. & formatting fixes in API docs. !441
    - Update examples.md !442
    Bug fixes:
    - GitHub CI fixes !405
    - util: don't return a placeholder netdef in the iterator !406
    - tunnels/validation: do not error out if "local" is not defined !407
    - cli/sriov: remove unused code !435
    - wireguard: ignore empty endpoints (LP: #2038811) !414
    - parse: improve the parsing of access-points (LP: #1809994) !413
    - tests: Add autopkgtest for LP: #1959570 !419
    - Fix permissions on folder '/run/NetworkManager/' !422
    - parse-nm/wg: append the correct prefix to IPv6 (LP: #2046158) !428
    - disable StartLimitBurst in the ovs-cleanup service (LP: #2047827) !431
    - ctests: stop including C files in the test files !432
    - workflow/coverity: install missing dependencies !436
    - state_diff: fix filtering of host scoped routes !426
    - sriov: don't generate duplicate entries in the rebind.service file !437
    - check if ovsdb-server.service is active before displaying warning !421
    - parser: accept the special MAC address options (LP: #2045096) !427
    - CI: fix NetworkManager autopkgtest not using deb822 !443
    - tests: Be less strict about systemctl daemon-reload (LP: #2048388)
    - Netplan status --diff refactoring !444
  * d/netplan-generator.install: Fix PLACEHOLDER location
  * d/netplan-generator.lintian-overrides: Clean up unused override
  * d/source/options: Ignore .envrc (direnv)
  * d/control: pkg-config -> pkgconf
  * d/rules: Make use of -Dpython.bytecompile=-1
  * d/control: Update short description
  * d/control,d/libnetplan1.symbols: Prepare for libnetplan1 SOVER bump
  * d/control: Add iproute2 build-dep (for running tests)
  * d/rules: Drop removal of legacy symlink (integrated in meson)
  * d/t/control: execute netplan diff test cases
  * d/patches: Drop patches, applied upstream
  * d/t/control: Mark new 'diff' autopkgtest as flaky

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 11:51:50 +0100

netplan.io (0.107.1-3) unstable; urgency=medium

  * d/t/prep-testbed.sh: Improve autopkgtest reliability
  * d/p/python-limited-stable-api.patch: Build Python module against stable API
    (LP: #2050881)
  * d/patches: Cleanup DEP-3 headers

 -- Lukas Märdian <slyon@debian.org>  Tue, 23 Jan 2024 11:13:19 +0100

netplan.io (0.107.1-2) unstable; urgency=medium

  * Fix my email address in d/changelog
  * d/control: Add B-D to systemd-dev for systemd.pc (Closes: #1060571)
  * d/patches, d/control: Avoid FTBFS on 32bit architectures, by skipping
    certain unit-tests that depend on OpenVSwitch on such architectures.
  * Add protective diversions for netplan-generator usrmerge (Closes: #1060661)
    thanks to Helmut Grohne
  * Install usr/lib/netplan/PLACEHOLDER to avoid removal of an empty
    [/usr]/lib/netplan/ directory during package upgrade involving the
    usrmerge transition. (See #1060661)

 -- Lukas Märdian <slyon@debian.org>  Tue, 16 Jan 2024 17:09:13 +0100

netplan.io (0.107.1-1) unstable; urgency=medium

  [ Danilo Egea Gondolfo ]
  * New upstream release: 0.107.1
    - wifi: add support for WPA3-Enterprise (LP: #2029876) (!402)
    - wifi: support WPA2 and WPA3 Personal simultaneously (!404)
    - added mii-monitor-interval example (!411)
    - docs: Add "Contribute Documentation" how-to
    - auth: add support for LEAP and EAP-PWD (!415)
    - tests: Add autopkgtest for (LP: #1959570) (!419)
    - wifi: make it possible to have a psk and an eap password simultaneously
      (!416)
    - doc: Set-up some basic Doxygen project (!423)
    - doc: Make Sphinx to handle autodoxygen project, using breathe (!423)
    - doc: create libnetplan apidoc structure (!423)
    - inc: Start documenting public API (!423)
    - doc: Update 'Netplan everywhere' for 23.10 (!418)
    Bug fixes:
    - test:ovs: Avoid NetworkManager taking contol, breaking a test
    - parse: allow COMMON_LINK_HANDLERS for VRFs (!401)
    - util: don't return a placeholder netdef in the iterator (!406)
    - tunnels/validation: do not error out if "local" is not defined (!407)
    - tests: add some integration tests without the local address (!407)
    - wireguard: ignore empty endpoints (LP: #2038811) (!414)
    - parse: improve the parsing of access-points (LP: #1809994) (!413)
    - wifi: replace the previously defined AP with the new one (!413)
    - doc: spelling check improvements (!417)
    - Fix permissions on folder '/run/NetworkManager/' (!422)
    - cli:try: avoid linting error for type hints (Closes: #1058524) (!422)
    - nm-parse: always read the PSK into the new psk variable (!416)
    - networkd: fix formatting (!424)
    - networkd: replace deprecated CriticalConnection= by KeepConfiguration=
      (!424)
    - networkd: move KeepConfiguration= into [Network] section
    - apply: bring "lo" back up if it's managed by NM (!408)
    - apply: don't assume the NM loopback connection is called "lo" (!408)
  * Drop patches applied upstream
  * parse-nm/wg: append the correct prefix to IPv6 addresses (LP: #2046158)
    d/p/0001-parse-nm-wg-append-the-correct-prefix-to-IPv6-addres.patch
  * ovs: disable StartLimitBurst in the ovs-cleanup service (LP: #2047827)
    d/p/0002-ovs-disable-StartLimitBurst-in-the-ovs-cleanup-servi.patch
  * d/netplan-generator.install: Update the generator installation path
    due to usr-merge

  [ Lukas Märdian ]
  * debian/netplan-generator.dirs: Don't install non-usrmerge directory
  * debian/rules: Clean up usrmerge quirks

 -- Lukas Märdian <slyon@debian.org>  Wed, 10 Jan 2024 11:52:41 +0100

netplan.io (0.107-5) unstable; urgency=medium

  * d/p/lp2034595: Fix NetworkManager loopback interaction (LP: #2034595)

 -- Lukas Märdian <slyon@debian.org>  Thu, 14 Sep 2023 17:08:13 +0530

netplan.io (0.107-4) unstable; urgency=medium

  * Fix placeholder NetDefs in libnetplan iterator (LP: #2034024)
    d/p/0003-util-don-t-return-a-placeholder-netdef-in-the-iterat.patch
  * Relax tunnel.local validation (LP: #2034067)
    debian/patches/lp2034067/*
  * debian/patches: Update DEP-3 headers

 -- Lukas Märdian <slyon@debian.org>  Tue, 05 Sep 2023 09:37:26 +0200

netplan.io (0.107-3) unstable; urgency=medium

  * Split python3-netplan bindings into a separate package

 -- Lukas Märdian <slyon@ubuntu.com>  Sat, 26 Aug 2023 13:16:27 +0200

netplan.io (0.107-2) unstable; urgency=medium

  * d/control: Add runtime dependency on python3-cffi-backend (LP: #2031962)
  * d/t/control: Enable dummy & veth integration tests
  * Fix NetworkManager 1.44 VRF compatibility (LP: #2031421, Closes: #1049432)
    d/p/0001-parse-allow-COMMON_LINK_HANDLERS-for-VRFs-LP-2031421.patch
  * d/rules: Fix dh_clean to cleanup after tests (Closes: #1046524)
  * Fix OVS tests by avoiding NetworkManager taking control
    d/p/0002-test-ovs-Avoid-NetworkManager-taking-contol-breaking.patch
  * d/t/control: Don't hide real OVS test failures as skippable

 -- Lukas Märdian <slyon@debian.org>  Mon, 21 Aug 2023 17:25:33 +0200

netplan.io (0.107-1) unstable; urgency=medium

  * New upstream release: 0.107
    - Support for "dummy" (`dummy-devices`) interfaces (LP: #1774203) (!361)
    - Support for "veth" (`virtual-ethernets`) interfaces (!368)
    - Add Python bindings for libnetplan (!385)
    - netplan: Handle command exceptions (!334)
    - WPA3 (personal) support (LP: #2023238) (!369)
    - Add all the commands to the bash completion file (LP: #1749869) (!326)
    - New submodule for state manipulation (!379)
    - commands/status: show routes from all routing tables (!390)
    - cli:status: Make rich pretty printing optional (!388)
    - libnetplan: expose dhcp4 and dhcp6 properties (!394)
    - Expose macaddress and DNS configuration from the netdef (!395)
    - libnetplan: expose the routes list in the netdef (!397)
    - NetworkManager: Wireguard private key flag support (!371)
    - Add a netplan_parser_load_keyfile() Python binding (!351)
    - keyfile parser: add support for all tunnel types (LP: #2016473) (!360)
    - parse-nm:wg: add support for reading the listen-port property (!372)
    - parse-nm: add support for VRF devices (!398)
    - Vlan keyfile parser support (!370)
    - Netplan docs rework (!333 & !337)
    - docs: Add a short netplan-everywhere howto (!325)
    - doc: make us of sphinx copybutton plugin (!354)
    - doc: Add Ubuntu Code of Conduct 2.0 (!355)
    - doc: Explanation about 00-network-manager-all.yaml (!378)
    Bug fixes:
    - Fix FTBFS on Fedora and refresh RPM packaging (!323)
    - parser: validate lacp-rate properly (LP: #1745648) (!324)
    - use meson-make-symlink.sh helper instead of install_symlink() (!327)
    - netplan: cli: fix typo from 'unkown' to 'unknown' (!328)
    - Handle duplication during parser second pass (LP: #2007682) (!329)
    - parse:ovs: Ignore deprecated OpenFlow1.6 protocol (LP: #1963735) (!332)
    - dbus: Build the copy path correctly (!331)
    - tests: add new spread based snapd integration test (!330)
    - Use controlled execution environment, to avoid failure if PATH is unset
      (LP: #1959570) (!336)
    - Some refactoring (!338)
    - netplan: adjust the maximum buffer size to 1MB (!340)
    - parse: use "--" with systemd-escape (!347)
    - docs: fix bridge parameters types and add examples (!346)
    - vrfs: skip policies parsing if list is NULL (LP: #2016427) (!341)
    - networkd: plug a memory leak (!344)
    - libnetplan: don't try to read from a NULL file (!342)
    - nm: return if write_routes() fails (!345)
    - parse: plug a memory leak (!348)
    - parse: set the backend on nm-devices to NM (!349)
    - parse: don't point to the wrong node on validation (!343)
    - rtd: set the OS and Python versions explicitly (!357)
    - Fix 8021x eap method parsing (LP: #2016625) (!358)
    - CI: update canonical/setup-lxd to v0.1.1 (!359)
    - CI: fix dch after adding the new 0.106.1 tag (!364)
    - Provide frequency to wpa_supplicant in adhoc mode (LP: #2020754) (!363)
    - Improve the coverage of the memory leak tests (!365)
    - Fix keyfile parsing of wireguard config (!366)
    - routes: fix metric rendering (LP: #2023681) (!367)
    - CI: add DebCI integration test (!362)
    - CI: initial NetworkManager autopkgtests (!374)
    - parse-nm: handle cloned-mac-address special cases (LP: #2026230) (!376)
    - Improve autopkgtest stability with systemd 253 & iproute 6.4 (!377)
    - Fixes for minor issues (!380)
    - tests:integration: Adopt for systemd v254 (Closes: #1041310) (!381)
    - parse: Downgrade NM passthrough warning to debug (!384)
    - Don't drop files with just global values (LP: #2027584) (!382)
    - Fixing Coverity issues (!383)
    - CLI: Refactoring to avoid namespace clash with public bindings (!387)
    - tests: fix test coverage report with newer python-coverage (!389)
    - github: add a scheduled action to run Coverity (!391)
    - github: only run the coverity workflow on our repository (!392)
    - Addressing a few issues found (!393)
    - Wireguard fixes (!352)
    - Fix a memory leak, an assert and an error message (!350)
    - ovs: don't allow peers with the same name (!353)
    - CI: make use of the canonical/setup-lxd action (!356)
  * d/patches: Drop patches, applied upstream
  * Drop repeated-path-segment lintian override, not relevant anymore
  * Update symbols file for 0.107
  * d/rules: Shipping new Python bindings
  * d/control: Add python3-cffi and libpython3-dev build-depends

 -- Lukas Märdian <slyon@debian.org>  Thu, 17 Aug 2023 16:54:21 +0200

netplan.io (0.106.1-8) unstable; urgency=medium

  * Drop Conflicts/Breaks on "netplan" and "nplan" from oldoldstable times
  * Split netplan-generator into separate package to make the Python
    dependency optional.
  * d/t/control: Make autostart.sh test to only depend on netplan-generator

 -- Lukas Märdian <slyon@debian.org>  Mon, 31 Jul 2023 10:26:35 +0200

netplan.io (0.106.1-7) unstable; urgency=medium

  * d/control: Update my DD email address
  * Don't drop files with just global values on 'set' (LP: #2027584)
    d/p/0020-netplan.c-Don-t-drop-files-with-just-global-values-o.patch

 -- Lukas Märdian <slyon@debian.org>  Tue, 25 Jul 2023 12:19:03 +0200

netplan.io (0.106.1-6) unstable; urgency=medium

  * Fix ethernets,vlans,scenarios autopkgtests on systemd 254, Closes: #1041311

 -- Lukas Märdian <luk@slyon.de>  Tue, 18 Jul 2023 17:35:49 +0200

netplan.io (0.106.1-5) unstable; urgency=medium

  * d/rules,d/netplan.io.{install,dirs}: Revert usrmerge move of
    lib/systemd/system-generators/netplan to apply the moratorium.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 13 Jul 2023 14:45:40 +0200

netplan.io (0.106.1-4) unstable; urgency=medium

  * d/rules,d/netplan.io.{install,dirs}: Install everything in usrmerged paths
  * d/netplan.io.lintian-overrides: Mute empty /usr/lib/netplan, it's used for
    system drop-in configurations.

 -- Lukas Märdian <luk@slyon.de>  Thu, 13 Jul 2023 12:05:56 +0200

netplan.io (0.106.1-3) unstable; urgency=medium

  * Fix NetworkManager interaction with systemd v253 (Closes: #1039071)
  * Fix tunnels tests with iproute 6.4, using JSON interface (Closes: #1040004)
  * Add parser support for WPA3 Personal (LP: #2023238)
  * d/t/prep-testbed.sh: stop NetworkManager, to start with a common state
  * autopkgtest:regressions: Simplify assertions to avoid buffering races
    d/p/0018-tests-regressions-simplify-assertions-to-avoid-buffe.patch

 -- Lukas Märdian <luk@slyon.de>  Mon, 10 Jul 2023 16:58:19 +0200

netplan.io (0.106.1-2) unstable; urgency=medium

  * Increase test timeouts to fix FTBFS on mips64el and riscv64
    d/p/0012-meson-Increase-test-timeout-for-slow-architectures.patch

 -- Lukas Märdian <luk@slyon.de>  Wed, 21 Jun 2023 09:20:56 +0200

netplan.io (0.106.1-1) unstable; urgency=medium

  * New upstream release: 0.106.1
    - CI: make use of the canonical/setup-lxd action
    - Netplan docs rework (Part 2)
    - Add new spread based snapd integration test
    - Netplan docs rework
    - Add some integration tests for DBus by
    - Add all the commands to the bash completion file (LP: #1749869)
    - Add a short netplan-everywhere howto
    - Add Ubuntu Code of Conduct 2.0
    Bug fixes:
    - CI: update canonical/setup-lxd to v0.1.1
    - parse-nm: fix eap_method handling (LP: #2016625)
    - rtd: set the OS and Python versions explicitly
    - ovs: don't allow peers with the same name
    - parse: validate NM backend settings usage
    - nm: check the passthrough config format
    - wireguard: plug a memory leak
    - validate: drop the YAML node parameter
    - parse: don't point to the wrong node on validation
    - parse: set the backend on nm-devices to NM by default
    - parse: plug a memory leak
    - nm: return if write_routes() fails
    - libnetplan: don't try to read from a NULL file
    - networkd: plug a memory leak
    - vrfs: skip policies parsing if list is NULL (LP: #2016427)
    - docs: fix bridge parameters types and add examples
    - parse: use "--" with systemd-escape
    - netplan: adjust the maximum buffer size to 1MB
    - cli:status: improve networkctl parameter passing
    - cli:test: use 'text' alias instead of 'universal_newlines'
    - Makefile: fully cleanup coverage data
    - cli:apply: use shutil.rmtree instead of 'rm -rf'
    - Use controlled execution environment, to avoid failure if PATH is unset
      (LP: #1959570)
    - meson: fix installation of legacy /lib/netplan/generate symlink
    - spread.yaml: restore /etc/netplan for each test
    - dbus: Use the error set by _copy_yaml_state()
    - dbus: Build the copy path correctly (LP: #1997467)
    - parse:ovs: Ignore deprecated OpenFlow1.6 protocol (LP: #1963735)
    - parser: Don't duplicate OVS configuration (LP: #2007682)
    - tests: Don't use duplicated DNS entries (LP: #2007682)
    - parser: Don't add DNS entries duplicates (LP: #2007682)
    - parser: handle duplicated routing rules (LP: #2007682)
    - netplan: cli: fix typo from 'unkown' to 'unknown'
    - meson: cli:utils: drop legacy generator path, use libexec instead
    - meson: use meson_make_symlink.sh helper instead of install_symlink()
    - parser: demote the new lacp-rate check to warning
    - ATTN: parser: validate lacp-rate properly (LP: #1745648)
    - rpm: Refresh packaging for 0.106 and sync from Fedora
    - meson: Enable finding pycoverage on RPM based distributions
  * Update symbols file for 0.106.1
  * d/patches/: Drop patches, applied upstream
  * d/patches/lp2016473: Keyfile parsing for all tunnel types, LP: #2016473
  * d/p/lp2021884: WireGuard: auto append prefix to allowed IPs, LP: #2021884
  * debian/tests: Enforce more strict integration tests.
    Also, resolve the systemd-resolved issue in ethernets test.
  * Refresh patches.
  * Add d/p/0012-meson-Increase-test-timeout-for-slow-architectures.patch
    To fix FTBFS due to test timeouts on mipsel, alpha, riscv64, sparc64
  * d/control: Cleanup list of Uploaders.

 -- Lukas Märdian <luk@slyon.de>  Tue, 20 Jun 2023 12:54:23 +0200

netplan.io (0.106-3) unstable; urgency=medium

  * debian/tests: Fix testbed timeout with systemd v253 (Closes: #1033265)
  * d/p/lp1997467: Improve DEP-3 headers

 -- Lukas Märdian <luk@slyon.de>  Thu, 23 Mar 2023 09:31:07 +0100

netplan.io (0.106-2) unstable; urgency=medium

  * Fix DBus .Config/.Get APIs using upstream commits (PR#331) (LP: #1997467)
  * Enable additional 'dbus' autopkgtests to check the regressed cases

 -- Lukas Märdian <luk@slyon.de>  Thu, 02 Mar 2023 17:40:56 +0100

netplan.io (0.106-1) unstable; urgency=medium

  * Merge new upstream release 0.106 (from 0.106-0ubuntu1)
    - New 'netplan status' CLI (#290)
    - API: implement APIs from the new specification (#298)
    - Check and fix non-inclusive laguange (#303)
    - Documentation improvements (using Diátaxis & RTD)
    - Match by PermanentMACAddress (#278)
    - Netplan api iterator (#306)
    - API: update netplan_delete_connection() (#322)
    - NM 1.40 compat & file permission fixes (#300), LP: #1862600, LP: #1997348
    - Migrate from (deprecated) nose to pytest (#302)
    - parse: Add the filepath to OVS ports netdefs (#295)
    - Check if the interface name is too long (#313), LP: #1988749
    - doc/examples: remove unnecessary route for IPv6 on-link gateways (#312)
    - Memory leak CI action (#321)
    - tests:base:ethernets: Improve stability of autopkgtests (#223)
    Bug fixes:
    - Fix some memory leaks (#297)
    - parser: plug a memory leak (#309)
    - src:parse: plug memory leaks in nullable handling (#319)
    - Fix 'netplan ip leases' crash (#301), LP: #1996941
    - tests: mock calls to systemctl (#314)
    - ctests: fix an integer conversion issue (#315)
    - docs: small fix on netplan-set doc (#316)
    - parser: return the correct error on failure (#308), LP: #2000324
    - apply: Fix crash when OVS is stopped (#307),LP: #1995598
    - networkd: make sure VXLAN is in the right section (#310), LP: #2000713
    - cli:set: update only specific origin-hint if given (#299), LP: #1997467
    - vxlan: convert some settings to tristate (#311), LP: #2000712
    - parser: check for route duplicates (#320), LP: #2003061
  * Update symbols file for 0.106
  * d/patches/: Drop patches, applied upstream
  * d/control: bump Standards-Version to 4.6.2, no changes needed
  * d/t/control: prepare Debian testbed
  * d/control: Add python3-dbus, python3-rich deps, also CMocka and Pytest B-Ds
  * d/watch: fix checking for upstream tags
  * d/copyright: Update for 2023
  * d/source/: add lintian-overrides
  * d/gbp.conf: use pristine-tar

 -- Lukas Märdian <luk@slyon.de>  Thu, 09 Feb 2023 12:09:04 +0100

netplan.io (0.105-3) unstable; urgency=medium

  * d/patches: Migrate from deprecated nose to pytest (Closes: #1020079)
  * d/control: drop python3-nose B-D in favor of pytest (Closes: #1018420)

 -- Lukas Märdian <luk@slyon.de>  Mon, 02 Jan 2023 11:46:01 +0100

netplan.io (0.105-2) unstable; urgency=medium

  * d/copyright: Update metadata.
  * d/netplan.io.lintian-overrides: Fix new style override.
  * d/t/control: Make it work with old and new systemd[-resolved].
  * d/p/0002-buildsystem-meson-fixes.patch: improve meson build.
  * d/rules,d/control,d/libnetplan.io.install,d/libnetplan-dev.install:
    + Use meson build system and enable hardening flags
    + Ship netplan.pc file and move netplan's systemd generator to LIBEXECDIR

 -- Lukas Märdian <luk@slyon.de>  Wed, 24 Aug 2022 12:59:21 +0200

netplan.io (0.105-1) unstable; urgency=medium

  * Merge new upstream release 0.105 (from tag ubuntu/0.105-0ubuntu1)
    - Add support for VXLAN tunnels (#288), LP: #1764716
    - Add support for VRF devices (#285), LP: #1773522
    - Add support for InfiniBand (IPoIB) (#283), LP: #1848471
    - Allow key configuration for GRE tunnels (#274), LP: #1966476
    - Allow setting the regulatory domain (#281), LP: #1951586
    - Documentation improvements & restructuring (#287)
    - Add meson build system (#268)
    - Add abigail ABI compatibility checker (#269)
    - Update of Fedora RPM spec (#264)
    - CI improvements (#265, #282)
    - Netplan `set` uses the consolidated libnetplan YAML parser (#254)
    - Refactor ConfigManager to use the libnetplan YAML parser (#255)
    - New `netplan_netdef_get_filepath` API (#275)
    - Improve NetworkManager device management logic (#276), LP: #1951653
    Bug fixes:
    - Fix `apply` netdev rename/create race condition (#260), LP: #1962095
    - Fix `try` timeout (#271), LP: #1967084
    - Fix infinite timeouts in ovs-vsctl (#266), Closes: #1000137
    - Fix offload options using tristate setting (#270), LP: #1956264
    - Fix rendering of NetworkManager passthrough WPA (#279), LP: #1972800
    - Fix CLI crash on LibNetplanException (#286)
    - Fix NetworkManager internal DHCP client lease lookup (#284), LP: #1979674
  * Update symbols file for 0.105
  * d/patches/: Drop patches, applied upstream
  * d/patches/autopkgtest-fixes.patch: Refresh
  * d/p/autopkgtest-fixes.patch: Drop test quirks (PR#276)
  * d/control, d/tests/control: suggest/add iw for setting a regulatory domain

 -- Lukas Märdian <luk@slyon.de>  Thu, 18 Aug 2022 15:35:31 +0200

netplan.io (0.104-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * d/control: Update Standards-Version, no changes needed.

  [ Andrej Shadura ]
  * Make autopkgtests depend on systemd-resolved (Closes: #1017347).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 14 Aug 2022 14:58:56 +0200

netplan.io (0.104-1) unstable; urgency=medium

  * Merge new upstream release 0.104 (from tag ubuntu/0.104-0ubuntu4)
    - Enable 'embedded-switch-mode' setting on SmartNICs
    - Permit multiple patterns for the driver globs in match (LP: #1918421)
    - Improve routing capabilities (LP: #1892272, LP: #1805038)
    - Support additional link offload options for networkd (LP: #1771740)
      + Backport offloading tristate patches (LP: #1956264)
        d/p/0003-Add-tristate-type-for-offload-options-LP-1956264-270.patch
    - Handle differing 'ip6-privacy' default value for NetworkManager
    - YAML state tracking for DBus API and 'netplan try' (LP: #1943120)
    - Support ConfigureWithoutCarrier ('ignore-carrier') for networkd
    - Cleanup Makefile, install only public headers
    - Netplan 'get' to use the libnetplan parser
    - libnetplan:
      + introduce the notion of NetplanState
      + use an explicit parser context
      + expose coherent generator APIs
      + improve overall error handling
      + consolidation of YAML parsing into the library
    ATTENTION:
    - Restrict the symbol export to a determined public API
      + We dropped some internal symbols from the API that we know have no
        external consumers, see upstream changelog for list of dropped symbols
    Bug fixes:
    - Fix removal of defunct OVS vlan interfaces (LP: #1959147)
    - Make ConfigManager cleanup on destruction (LP: #1959729)
    - Do not write unvalidated YAML from keyfile (LP: #1952967)
    - Disable tmp address generation for real with NetworkManager, LP: #1948027
    - Ignore empty YAML hints, delete files on 'set network=null', LP: #1946957
    - Wait for 'netplan try' to be ready in DBus API (LP: #1949893)
    - Initialize self.state in 'apply' (LP: #1949104)
    - Driver fallback to nl80211 and/or wext for wpa_supplicant (LP: #1814012)
    - Handle missing 'gateway' in keyfile routes, keep 'dns-search' fallback
    - Make it possible to unset a whole devtype subtree (LP: #1942930)
    - Fix memory leaks, dangling pointers & overall cleanup of API data
    - Upstream fix a4b70e7, to restart networkd if necessary (LP: #1962095)
    - Cherry-pick upstream fix (565bd0f) for ethernets autopkgtest:
      - d/p/0004-tests-ethernets-fix-autopkgtest-with-alternating-def.patch
    - Cherry-pick upstream fix (8934a1b) for NM WPA3 passthrough:
      - d/p/0005-nm-fix-rendering-of-password-for-unknown-passthrough.patch
  * d/control: Improved glib (v2.70+-) compat
  * d/control: Strict version dependency on libnetplan
  * d/control: Remove unnecessary constraints
  * Mute false positive lintian warning
  * d/libnetplan0.symbols: Add new symbols for 0.104
  * d/libnetplan0.symbols: Drop (internal) legacy symbols
  * d/t/control: add 'ethtool' test-dep for link offloading tests
  * Remaining changes:
    - refreshed d/p/ovs-timeout.patch
    - refreshed d/p/autopkgtest-fixes.patch
  * Dropped changes, applied upstream
    - d/p/0001-parse-nm-fix-32bit-format-string.patch
    - d/p/glib-2.70-compat.patch
    - d/p/nm-1.32.10-compat.patch

 -- Lukas Märdian <luk@slyon.de>  Tue, 14 Jun 2022 17:39:24 +0200

netplan.io (0.103-4) unstable; urgency=medium

  * Fix OVS timeouts in containers where the host is not OVS enabled
  * d/t/control: Add explicit wpasupplicant test Depends
  * d/t/control: mark ethernets and bonds tests as flaky

 -- Lukas Märdian <luk@slyon.de>  Thu, 03 Mar 2022 09:49:45 +0100

netplan.io (0.103-3) unstable; urgency=medium

  [ Andrej Shadura ]
  * Explicitly depend on glib 2.70

  [ Lukas Märdian ]
  * Fix autopkgtests inside a LXC test-runner
    + d/t/prepare-testbed.sh: enable udevd (inside LXC)
    + d/tests/control: enable autostart & cloud-init tests in LXC
    + d/tests/control: mark scenarios test as flaky
    + d/tests/control: add breaks-testbed restriction

 -- Lukas Märdian <luk@slyon.de>  Fri, 22 Oct 2021 09:22:22 +0200

netplan.io (0.103-2) unstable; urgency=medium

  * Allow build-depending on openvswitch on all architectures.
    Now that #979366 has been fixed, it should not be an issue anymore.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 21 Oct 2021 11:19:25 +0200

netplan.io (0.103-1) unstable; urgency=medium

  * New upstream release: 0.103 (LP: #1938920).
    - Add YAML generator and Keyfile parser for NetworkManager YAML backend
    - Add activation-mode parameter, needs systemd v248+ (LP: #1664844)
    - Make use of systemd-networkd's reload/reconfigure commands
    - Deprecate gateway4 & gateway6 in favor of default routes (LP: #1756590)
    - Add io.netplan.Netplan.Generate() DBus method
    - Changed the way of how unmanaged-devices are handled by NetworkManager
    - Improve integration test suite (LP: #1922126)
  * Update build-dep to fix FTCBFS (Closes: #961466).
  * Bump systemd dependency to >= v248 for the activation-mode feature.
  * Run some autopkgtests with Restriction: isolation-container.
  * Bump Standards-Version to 4.6.0.1, no changes needed.
  * Update debian/watch
  * Update debian/upstream/metadata
  * d/control: Add Rules-Requires-Root: no

 -- Lukas Märdian <luk@slyon.de>  Wed, 20 Oct 2021 13:22:07 +0200

netplan.io (0.101-4) unstable; urgency=medium

  * Build-depend on ovs on amd64 only due to a bug in its postinst.
    See #979366 for details.
  * Drop the custom build profile, nocheck is enough.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 22:01:50 +0100

netplan.io (0.101-3) unstable; urgency=medium

  * Mark the package linux-any.
  * Skip openvswitch-switch dependency on m68k and ppc64.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 19:28:50 +0100

netplan.io (0.101-2) unstable; urgency=medium

  * Reindent debian/control.
  * Add build profiles.
  * Add cloud tests but mark them as flaky and skip-not-installable
    for now.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 05 Jan 2021 17:40:42 +0100

netplan.io (0.101-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Merge changes from Ubuntu.
  * Let tests fail.
  * Remove the hack to fix build with GCC 10 (actually closes: #957603).

  [ Lukas Märdian ]
  * d/control: fix lintian warning about trailing whitespace
  * d/p/0001-Fix-changing-of-macaddress-with-systemd-v247-178.patch:
    Fix MAC address changes with systemd v247 by using a new approach inside
    systemd's .network file. It also works with older version of systemd.
  * Add d/p/0002-parse-fix-networkmanager-backend-options-for-modem-c.patch:
    Allows parsing of networkmanager: backend handlers for modem devices
  * Update symbols file

  [ Michael Biebl ]
  * Stop using deprecated systemd-resolve tool (Closes: #979266).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 20:34:58 +0100

netplan.io (0.99-2) experimental; urgency=medium

  * Split libnetplan off into separate packages.
  * Force -fcommon to enable builds with GCC 10 to work around #957603.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 17:17:54 +0200

netplan.io (0.99-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop old upstream patches.
  * Update the co-maintainer list.
  * Bump Standards-Version to 4.5.0.
  * Update copyright years.

  [ Lukas Märdian ]
  * debian:tests:control: add autopkgtest dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 27 Apr 2020 11:01:26 +0200

netplan.io (0.98-2) unstable; urgency=medium

  * Cherry-pick upstream commits.
  * Use debhelper-compat instead of debian/compat.
  * Bump debhelper from old 11 to 12.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 01 Nov 2019 15:21:21 +0100

netplan.io (0.98-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release: 0.98 (LP: #1840832).
  * Run all autopkgtests with Restriction: isolation-machine (Closes:
    #919426).

  [ Mathieu Trudel-Lapierre ]
  * debian/control: Add Build-Depends on libsystemd-dev for the D-Bus feature,
    and on dbus-x11 for dbus-launch used in tests.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 26 Sep 2019 14:35:32 +0200

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 24 Jan 2019 09:43:13 +0100

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Dec 2018 16:34:23 +0100

netplan.io (0.40.2-1) unstable; urgency=medium

  * Upload to Debian (Closes: #882661).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Nov 2018 16:29:42 -0800
